defmodule DecentralisedBookIndexWeb.Components.MyComponents do
  alias DecentralisedBookIndexWeb.Components.MyComponents

  defmacro __using__(_) do
    quote do
      import MyComponents.BookCard, only: [book_card: 1]
      import MyComponents.BookSearch, only: [book_search: 1]

      import MyComponents.AuthorCard, only: [author_card: 1]

      import MyComponents.SearchResources, only: [search_resources: 1]
      import MyComponents.JustSearchResources, only: [just_search_resources: 1]

      import MyComponents.Pagination, only: [pagination: 1]

      import MyComponents.Buttons,
        only: [
          success_button: 1,
          primary_button: 1,
          add_button_link: 1,
          save_button: 1,
          edit_button: 1,
          cancel_button: 1
        ]

      alias MyComponents.SelectPublisher
      import MyComponents.SelectedPublisher, only: [selected_publisher: 1]

      alias MyComponents.SelectAuthor
      import MyComponents.SelectedAuthor, only: [selected_author: 1]

      alias MyComponents.SelectBookEdition
      import MyComponents.SelectedBookEdition, only: [selected_book_edition: 1]

      alias MyComponents.SelectAuthorAlias
      import MyComponents.SelectedAuthorAlias, only: [selected_author_alias: 1]
    end
  end
end
