defmodule DecentralisedBookIndex.Repo.Migrations.UpdateToRequireAuthorForAuthorRoleAndPublisherForBook do
  @moduledoc """
  Updates resources based on their most recent snapshots.

  This file was autogenerated with `mix ash_postgres.generate_migrations`
  """

  use Ecto.Migration

  def up do
    alter table(:books) do
      modify :publisher_id, :uuid, null: false
    end

    alter table(:author_role) do
      modify :author_id, :uuid, null: false
    end
  end

  def down do
    alter table(:author_role) do
      modify :author_id, :uuid, null: true
    end

    alter table(:books) do
      modify :publisher_id, :uuid, null: true
    end
  end
end
